Bullet Collision Detection & Physics Library: btSymMatrix< T > Struct Template Reference

Bullet Collision Detection & Physics Library

Public Member Functions | Public Attributes | List of all members
btSymMatrix< T > Struct Template Reference

btSoftBody implementation by Nathanael Presson More...

`#include <btSoftBodyInternals.h>`

## Public Member Functions
| btSymMatrix ()
| btSymMatrix (int n, const T &init=T())
void | resize (int n, const T &init=T())
int | index (int c, int r) const
T & | operator() (int c, int r)
const T & | operator() (int c, int r) const

## Public Attributes
btAlignedObjectArray< T > | store
int | dim

## Detailed Description

### template<typename T>
struct btSymMatrix< T >

btSoftBody implementation by Nathanael Presson

Definition at line 34 of file btSoftBodyInternals.h.

## Constructor & Destructor Documentation

## ◆ btSymMatrix() [1/2]

template<typename T>

btSymMatrix< T >::btSymMatrix | ( |  | ) |
| inline

Definition at line 36 of file btSoftBodyInternals.h.

## ◆ btSymMatrix() [2/2]

template<typename T>

btSymMatrix< T >::btSymMatrix | ( | int | n,
|  | const T & | init = `T()`
| ) |  |
| inline

Definition at line 37 of file btSoftBodyInternals.h.

## Member Function Documentation

## ◆ index()

template<typename T>

int btSymMatrix< T >::index | ( | int | c,
|  | int | r
| ) |  | const
| inline

Definition at line 39 of file btSoftBodyInternals.h.

## ◆ operator()() [1/2]

template<typename T>

T& btSymMatrix< T >::operator() | ( | int | c,
|  | int | r
| ) |  |
| inline

Definition at line 40 of file btSoftBodyInternals.h.

## ◆ operator()() [2/2]

template<typename T>

const T& btSymMatrix< T >::operator() | ( | int | c,
|  | int | r
| ) |  | const
| inline

Definition at line 41 of file btSoftBodyInternals.h.

## ◆ resize()

template<typename T>

void btSymMatrix< T >::resize | ( | int | n,
|  | const T & | init = `T()`
| ) |  |
| inline

Definition at line 38 of file btSoftBodyInternals.h.

## Member Data Documentation

## ◆ dim

template<typename T>

int btSymMatrix< T >::dim

Definition at line 43 of file btSoftBodyInternals.h.

## ◆ store

template<typename T>

btAlignedObjectArray<T> btSymMatrix< T >::store

Definition at line 42 of file btSoftBodyInternals.h.

The documentation for this struct was generated from the following file:

- btSoftBodyInternals.h